;(function($, window, document, undefined) {
	'use strict';

	var $doc = $(document);
	var $win = $(window);

	function equalHeight(selector, breakpoint) {
		var $selector = $(selector);
		
		if ( $selector.length ) {
			$win.on('load resize', function() {
		        if ( $win.width() > breakpoint ) {
		            var maxHeight = 0;

		            $selector
		                .height('auto')
		                .each(function() {
		                    var $column = $(this);
		                    
		                    if ( $column.height() > maxHeight ) { 
		                        maxHeight = $column.height(); 
		                    }
		                })
		                .height(maxHeight);
		        } else {
		            $selector.height('auto');
		        };
			});
		};
    };

	$doc.ready(function() {
        equalHeight('.equalize', 767);
        equalHeight('.equal', 767);
    });
})(jQuery, window, document);
